enum { AUDIO = 1<<0, VOLUME = 1<<1 };

typedef struct Audio Audio;
struct Audio
{
	int fd[2];
	int cfd[2];
	int blksz;
	int (*setvolume)(Audio*, char*, int, int);
	int (*getvolume)(Audio*, char*, int*, int*);
	void (*close)(Audio*);
	int apid;
	int vpid;
};

Audio *openaudio(char *name, int flag);
Audio *openaudiossh(char *name, int flag);
Audio *openaudiodev(char*, int flag);
